Problem with the 1.14 and MacOS

Having trouble with the game? Report issues and get help here. Read this first!

Moderators: Forum Moderators, Developers

Forum rules
Before reporting issues in this section, you must read the following topic:
Post Reply
Mahafaly
Posts: 5
Joined: May 5th, 2018, 7:49 pm

Problem with the 1.14 and MacOS

Post by Mahafaly » May 5th, 2018, 10:56 pm

Hello everybody,

I have donwloaded and installed the last version of The battle for Wesnot for MacOs but the game doesn't run, a window tell me that an error occured and send me the following message :

Process: Wesnoth [659]
Path: /Applications/Wesnoth.app/Contents/MacOS/Wesnoth
Identifier: org.wesnoth.Wesnoth
Version: ???
Code Type: X86-64 (Native)
Parent Process: ??? [1]
Responsible: Wesnoth [659]
User ID: 501

Date/Time: 2018-05-05 21:50:12.950 +0200
OS Version: Mac OS X 10.10.5 (14F2511)
Report Version: 11
Anonymous UUID: E2982D1B-B7DF-2E5F-211A-425F1A860090

Sleep/Wake UUID: D23F04D0-EAA5-42B0-9805-27C8D2691A31

Time Awake Since Boot: 15000 seconds
Time Since Wake: 9600 seconds

Crashed Thread: 0

Exception Type: EXC_BREAKPOINT (SIGTRAP)
Exception Codes: 0x0000000000000002, 0x0000000000000000

Application Specific Information:
dyld: launch, loading dependent libraries

Dyld Error Message:
Library not loaded: @executable_path/../Frameworks/libreadline.7.0.dylib
Referenced from: /Applications/Wesnoth.app/Contents/MacOS/Wesnoth
Reason: no suitable image found. Did find:
/Applications/Wesnoth.app/Contents/MacOS/../Frameworks/libreadline.7.0.dylib: code signature invalid for '/Applications/Wesnoth.app/Contents/MacOS/../Frameworks/libreadline.7.0.dylib'

/Applications/Wesnoth.app/Contents/MacOS/../Frameworks/libreadline.7.0.dylib: code signature invalid for '/Applications/Wesnoth.app/Contents/MacOS/../Frameworks/libreadline.7.0.dylib'

Binary Images:
0x7fff6e2b7000 - 0x7fff6e2ed92f dyld (353.2.4) <3C068A0D-69D5-3AD6-86D9-6261D3B1564E> /usr/lib/dyld
0x7fff8c0a5000 - 0x7fff8c0b6ff7 libz.1.dylib (55) <88C7C7DE-04B8-316F-8B74-ACD9F3DE1AA1> /usr/lib/libz.1.dylib
0x7fff8c988000 - 0x7fff8c995ff7 libbz2.1.0.dylib (36) <2DF83FBC-5C08-39E1-94F5-C28653791B5F> /usr/lib/libbz2.1.0.dylib

Model: MacBookPro9,2, BootROM MBP91.00D3.B0B, 2 processors, Intel Core i5, 2.5 GHz, 4 GB, SMC 2.2f44
Graphics: Intel HD Graphics 4000, Intel HD Graphics 4000, Built-In
Memory Module: BANK 0/DIMM0, 2 GB, DDR3, 1600 MHz, 0x80AD, 0x484D54343235533641465236412D50422020
Memory Module: BANK 1/DIMM0, 2 GB, DDR3, 1600 MHz, 0x80AD, 0x484D54343235533641465236412D50422020
AirPort: spairport_wireless_card_type_airport_extreme (0x14E4, 0xF5), Broadcom BCM43xx 1.0 (7.15.166.24.3)
Bluetooth: Version 4.3.6f4 17916, 3 services, 18 devices, 1 incoming serial ports
Network Service: Wi-Fi, AirPort, en1
Serial ATA Device: APPLE HDD HTS545050A7E362, 500,11 GB
Serial ATA Device: HL-DT-ST DVDRW GS41N
USB Device: Hub
USB Device: Hub
USB Device: IR Receiver
USB Device: BRCM20702 Hub
USB Device: Bluetooth USB Host Controller
USB Device: Apple Internal Keyboard / Trackpad
USB Device: Hub
USB Device: FaceTime HD Camera (Built-in)
Thunderbolt Bus: MacBook Pro, Apple Inc., 25.1


So what can I do If I want to play to Wesnoth with my Macbook?
Please help me.

User avatar
StandYourGround
Posts: 254
Joined: May 13th, 2009, 2:16 am
Location: On a blue ball spinning through space at incomprehensible speed

Re: Problem with the 1.14 and MacOS

Post by StandYourGround » May 5th, 2018, 11:36 pm

The error is caused by the issue with "libreadline.7.0.dylib" file. It appears the copy of the framework included with Wesnoth may be corrupted. Are you using the download from the website or an alternate package manager such as homebrew?
I will now resume lurking silently.

User avatar
hrubymar10
macOS Packager
Posts: 16
Joined: August 13th, 2016, 9:11 am

Re: Problem with the 1.14 and MacOS

Post by hrubymar10 » May 6th, 2018, 8:23 am

It seems that Wesnoth.app inside your Applications directory is corrupted. Try remove Wesnoth.app from Applications ‘install’ Wesnoth again (Download .dmg from wesnoth’s official website and copy&paste new Wesnoth.app inside your Applications directory).

Mahafaly
Posts: 5
Joined: May 5th, 2018, 7:49 pm

Re: Problem with the 1.14 and MacOS

Post by Mahafaly » May 6th, 2018, 9:21 am

StandYourGround wrote:
May 5th, 2018, 11:36 pm
The error is caused by the issue with "libreadline.7.0.dylib" file. It appears the copy of the framework included with Wesnoth may be corrupted. Are you using the download from the website or an alternate package manager such as homebrew?
Yes, I use the download from the Wesnoth website, who send me next on sourceforge to download the game.
It seems that Wesnoth.app inside your Applications directory is corrupted. Try remove Wesnoth.app from Applications ‘install’ Wesnoth again (Download .dmg from wesnoth’s official website and copy&paste new Wesnoth.app inside your Applications directory).
I am trying to do that. Wait & see...

User avatar
StandYourGround
Posts: 254
Joined: May 13th, 2009, 2:16 am
Location: On a blue ball spinning through space at incomprehensible speed

Re: Problem with the 1.14 and MacOS

Post by StandYourGround » May 6th, 2018, 9:03 pm

If the downloaded file is somehow corrupt, it may be a bad copy on the mirror server you are downloading from. Try a different mirror, or if you have Steam, try downloading it there.
I will now resume lurking silently.

Mahafaly
Posts: 5
Joined: May 5th, 2018, 7:49 pm

Re: Problem with the 1.14 and MacOS

Post by Mahafaly » May 8th, 2018, 8:57 pm

After reinstall it doesn't run either. :/
Same error message.
If the downloaded file is somehow corrupt, it may be a bad copy on the mirror server you are downloading from. Try a different mirror, or if you have Steam, try downloading it there.
I have not Steam.
Which mirror can I try?

Mahafaly
Posts: 5
Joined: May 5th, 2018, 7:49 pm

Re: Problem with the 1.14 and MacOS

Post by Mahafaly » May 10th, 2018, 9:33 pm

Up
Someone could debug me?
I really want to play to Wesnoth.
I have never had problems to install Wesnoth on Mac or PC untill now.

User avatar
Lord-Knightmare
Forum Regular
Posts: 1112
Joined: May 24th, 2010, 5:26 pm
Location: Somewhere in the depths of Irdya, gathering my army to eventually destroy the known world.
Contact:

Re: Problem with the 1.14 and MacOS

Post by Lord-Knightmare » May 11th, 2018, 12:43 am

I have installed Wesnoth 1.14.1 on my MacBook Pro and it runs just fine.
OS Version: Mac OS X 10.10.5
Here's your Problem.

Upgrade to Mac OS 10.13.4 and it should run flawlessly.

(I can't believe I gave my 1100th post on something so ridiculous as this. FML)

Mahafaly
Posts: 5
Joined: May 5th, 2018, 7:49 pm

Re: Problem with the 1.14 and MacOS

Post by Mahafaly » May 17th, 2018, 11:42 am

Lord-Knightmare wrote:
May 11th, 2018, 12:43 am
I have installed Wesnoth 1.14.1 on my MacBook Pro and it runs just fine.
OS Version: Mac OS X 10.10.5
Here's your Problem.

Upgrade to Mac OS 10.13.4 and it should run flawlessly.

(I can't believe I gave my 1100th post on something so ridiculous as this. FML)
Oh thanks a lot Lord-Knightmare. It runs! :D

Post Reply